<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Local Storage 2</title>
  <style>
    .hide{
      display: none;
    }
  </style>
  </head>
<body>
	<form name="MyForm" class="name" id="MyForm">
    <input type="textarea" placeholder="Логин">
    <input type="textarea" placeholder="Пароль">
    <input type="submit" id="submit">
  </form>
  <div id="userResult"></div>
  <button id="logout" class="hide">Выйти</button>
	<script>
  
  const MyForm = document.getElementById("MyForm");
  const btnLogOut = document.getElementById("logout");
  const userDiv = document.getElementById("userResult");
  const submit = document.getElementById("submit");
  
  let login = localStorage.getItem("login");
  let password = localStorage.getItem("password");

  if ( login !== null && password !== null ){
    MyForm.classList.add("hide");

    userDiv.innerHTML = "Привет "+login+"!";
    btnLogOut.classList.remove("hide");
  } else { 
    userDiv.innerHTML = "";
    MyForm.classList.remove("hide");
    btnLogOut.classList.add("hide");
 }
  MyForm.addEventListener("submit", (e) =>{
    e.preventDefault();
    let login = document.forms.MyForm.elements[0].value;
    let password = document.forms.MyForm.elements[1].value;
    localStorage.setItem("login", login);
    localStorage.setItem("password", password);
    
    MyForm.classList.add("hide");
    userDiv.innerHTML = "Привет "+login+"!";;
    btnLogOut.classList.remove("hide");
    document.forms.MyForm.elements[0].value = "";
    document.forms.MyForm.elements[1].value = "";
  })

  btnLogOut.addEventListener("click", () =>{
    localStorage.removeItem("login");
    localStorage.removeItem("password");
    userDiv.innerHTML = "";
    MyForm.classList.remove("hide");
    btnLogOut.classList.add("hide");
    })
  

  </script>
</body>
</html>